• change of exit code during transition from mockchain to mock --chain
  • support run in Fedora Toolbox (otaylor@fishsoup.net)
  • add cheat sheet
  • Adding tool for parsing build.log (sisi.chlupova@gmail.com)
  • load secondary groups [#1264005]
  • pass --allowerasing by default to DNF [GH#251]
  • make include() functional for --chain [GH#263]
  • Removing buildstderr from log - configurable via _mock_stderr_line_prefix (sisi.chlupova@gmail.com)
  • Fixup: Use rpm -qa --root instead of running rpm -qa in chroot (miro@hroncok.cz)
  • DynamicBuildrequires: Detect when no new packages were installed (miro@hroncok.cz)
  • Allow more loop devices (sisi.chlupova@gmail.com)
  • Fix binary locations in /bin for split-usr setups (bero@lindev.ch)
  • describe behaviour of resultdir together with --chain [GH#267]
  • repeat dynamic requires if needed [GH#276]
  • Fix compatibility with pre-4.15 RPM versions with DynamicBuildRequires (i.gnatenko.brain@gmail.com)
  • Enable dynamic BuildRequires by default (i.gnatenko.brain@gmail.com)
  • bootstrap: independent network configuration (praiskup@redhat.com)
  • Update the man page about ~/.config/mock/FOO.cfg (miro@hroncok.cz)
  • explicitely convert releasever to string [GH#270]
  • grant anyone access to bind-mounted /etc/resolv.conf (praiskup@redhat.com)
  • -r FOO will try to read first ~/.mock/FOO.cfg if exists
  • enhance man page of mock about --chain
  • bash completion for --chain
  • respect use_host_resolv config even with use_nspawn (praiskup@redhat.com)
  • Fix crash on non-ascii dnf log messages (bkorren@redhat.com)
  • add deprecation warning to mockchain
  • replace mockchain with mock --chain command (necas.marty@gmail.com)
  • switch to python3 on el7 (msuchy@redhat.com)

  • disable updates-modulare repos for now

  • buildrequire systemd-srpm-macros to get _sysusersdir
  • removed info about metadata expire (khoidinhtrinh@gmail.com)
  • added updates-modular to 29 and 30 (khoidinhtrinh@gmail.com)
  • replace groupadd using sysusers.d
  • core-configs: epel-7 profiles to use mirrorlists (praiskup@redhat.com)
  • EOL Fedora 28
  • do not protect packages in chroot [GH#286]
  • Fix value for dist for OpenMandriva 4.0 configs (ngompa13@gmail.com)
  • Add initial OpenMandriva distribution targets (ngompa13@gmail.com)

This update has been submitted for testing by msuchy.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon zbyszek provided feedback 2 years ago
karma

This update's test gating status has been changed to 'greenwave_failed'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago
User Icon pkopkan commented & provided feedback 2 years ago
karma

mock -r fedora-rawhide-x86_64 --clean mock -r fedora-rawhide-x86_64 --install gdb probably same issue what reported churchyard for fedora 30 update

Running transaction
  Preparing        :                                                                                                       1/1 
  Installing       : sqlite-libs-3.29.0-2.fc31.x86_64                                                                     1/14 
  Installing       : python-setuptools-wheel-41.0.1-4.fc31.noarch                                                         2/14 
  Installing       : python-pip-wheel-19.1.1-4.fc31.noarch                                                                3/14 
  Installing       : libipt-2.0-3.fc31.x86_64                                                                             4/14 
  Installing       : libicu-63.2-3.fc31.x86_64                                                                            5/14 
  Installing       : boost-regex-1.69.0-9.fc31.x86_64                                                                     6/14 
  Installing       : glib2-2.61.1-3.fc31.x86_64                                                                           7/14 
  Installing       : libbabeltrace-1.5.7-2.fc31.x86_64                                                                    8/14 
  Installing       : gdbm-libs-1:1.18-5.fc31.x86_64                                                                       9/14 
  Installing       : python3-libs-3.7.4-4.fc31.x86_64                                                                    10/14 
  Installing       : ctags-5.8-26.fc31.x86_64                                                                            11/14 
  Installing       : source-highlight-3.1.8-25.fc31.x86_64                                                               12/14 
  Installing       : gdb-headless-8.3.50.20190802-21.fc31.x86_64                                                         13/14 
  Running scriptlet: gdb-8.3.50.20190802-21.fc31.x86_64                                                                  14/14 
error: failed to exec scriptlet interpreter /bin/sh: Permission denied
error: %prein(gdb-8.3.50.20190802-21.fc31.x86_64) scriptlet failed, exit status 127

Error in PREIN scriptlet in rpm package gdb
error: gdb-8.3.50.20190802-21.fc31.x86_64: install failed
error: failed to exec scriptlet interpreter /bin/sh: Permission denied
warning: %triggerin(glibc-common-2.30-1.fc31.x86_64) scriptlet failed, exit status 127

Error in <unknown> scriptlet in rpm package gdb
error: failed to exec scriptlet interpreter /bin/sh: Permission denied
warning: %triggerin(info-6.6-2.fc31.x86_64) scriptlet failed, exit status 127

Error in <unknown> scriptlet in rpm package gdb
  Running scriptlet: glib2-2.61.1-3.fc31.x86_64                                                                          14/14 
error: failed to exec scriptlet interpreter /bin/sh: Permission denied
warning: %triggerin(glib2-2.61.1-3.fc31.x86_64) scriptlet failed, exit status 127

Error in <unknown> scriptlet in rpm package glib2
  Verifying        : boost-regex-1.69.0-9.fc31.x86_64                                                                     1/14 
  Verifying        : ctags-5.8-26.fc31.x86_64                                                                             2/14 
  Verifying        : gdb-8.3.50.20190802-21.fc31.x86_64                                                                   3/14 
  Verifying        : gdb-headless-8.3.50.20190802-21.fc31.x86_64                                                          4/14 
  Verifying        : gdbm-libs-1:1.18-5.fc31.x86_64                                                                       5/14 
  Verifying        : glib2-2.61.1-3.fc31.x86_64                                                                           6/14 
  Verifying        : libbabeltrace-1.5.7-2.fc31.x86_64                                                                    7/14 
  Verifying        : libicu-63.2-3.fc31.x86_64                                                                            8/14 
  Verifying        : libipt-2.0-3.fc31.x86_64                                                                             9/14 
  Verifying        : python-pip-wheel-19.1.1-4.fc31.noarch                                                               10/14 
  Verifying        : python-setuptools-wheel-41.0.1-4.fc31.noarch                                                        11/14 
  Verifying        : python3-libs-3.7.4-4.fc31.x86_64                                                                    12/14 
  Verifying        : source-highlight-3.1.8-25.fc31.x86_64                                                               13/14 
  Verifying        : sqlite-libs-3.29.0-2.fc31.x86_64                                                                    14/14 

Installed:
  boost-regex-1.69.0-9.fc31.x86_64              ctags-5.8-26.fc31.x86_64          gdb-headless-8.3.50.20190802-21.fc31.x86_64 
  gdbm-libs-1:1.18-5.fc31.x86_64                glib2-2.61.1-3.fc31.x86_64        libbabeltrace-1.5.7-2.fc31.x86_64           
  libicu-63.2-3.fc31.x86_64                     libipt-2.0-3.fc31.x86_64          python-pip-wheel-19.1.1-4.fc31.noarch       
  python-setuptools-wheel-41.0.1-4.fc31.noarch  python3-libs-3.7.4-4.fc31.x86_64  source-highlight-3.1.8-25.fc31.x86_64       
  sqlite-libs-3.29.0-2.fc31.x86_64             

Failed:
  gdb-8.3.50.20190802-21.fc31.x86_64                                                                                           

Error: Transaction failed
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install gdb

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago

praiskup edited this update.

2 years ago

This update can be pushed to stable now if the maintainer wishes

2 years ago

This update has been unpushed.

User Icon qulogic commented & provided feedback 2 years ago

Well bugger, I didn't mean to do that; was trying to see what was going on with the search button not working.

This update has been submitted for testing by qulogic.

2 years ago

Please login to add feedback.

Metadata
Type
bugfix
Severity
low
Karma
-1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
modified
2 years ago
BZ#1264005 when dropping privileges secondary user groups are not loaded
0
0

Automated Test Results